Extending Qt Creator Manual | ReferenceSymbolGroupNode

Extending Qt Creator Manual 4.5.2

# ReferenceSymbolGroupNode Class

The ReferenceSymbolGroupNode class is an artificial node referencing another (real) SymbolGroupNode (added symbol or symbol from within an expanded linked list structure). More...

Header: | #include <ReferenceSymbolGroupNode>
Inherits: | AbstractSymbolGroupNode

- List of all members, including inherited members

## Public Functions

| ReferenceSymbolGroupNode(const std::string &name, const std::string &iname, SymbolGroupNode *referencedNode)

## Reimplemented Public Functions

virtual const AbstractSymbolGroupNodePtrVector & | children() const
virtual void | debug(std::ostream &os, const std::string &visitingFullIname, unsigned verbosity, unsigned depth) const
virtual int | dump(std::ostream &str, const std::string &visitingFullIname, const DumpParameters &p, const SymbolGroupValueContext &ctx)
virtual const AbstractSymbolGroupNode * | resolveReference() const
virtual AbstractSymbolGroupNode * | resolveReference()

- 22 public functions inherited from AbstractSymbolGroupNode

## Static Public Members

ReferenceSymbolGroupNode * | createArrayNode(int index, SymbolGroupNode *referencedNode)

### Additional Inherited Members

- 1 static protected member inherited from AbstractSymbolGroupNode

## Detailed Description

The ReferenceSymbolGroupNode class is an artificial node referencing another (real) SymbolGroupNode (added symbol or symbol from within an expanded linked list structure).

Forwards the dumping to the referenced node using its own name.

## Member Function Documentation

### ReferenceSymbolGroupNode::ReferenceSymbolGroupNode(const std::string &name, const std::string &iname, SymbolGroupNode *referencedNode)

Default constructs an instance of ReferenceSymbolGroupNode.

### `[virtual]` const AbstractSymbolGroupNodePtrVector &ReferenceSymbolGroupNode::children() const

### `[static]` ReferenceSymbolGroupNode *ReferenceSymbolGroupNode::createArrayNode(int index, SymbolGroupNode *referencedNode)

### `[virtual]` void ReferenceSymbolGroupNode::debug(std::ostream &os, const std::string &visitingFullIname, unsigned verbosity, unsigned depth) const

### `[virtual]` int ReferenceSymbolGroupNode::dump(std::ostream &str, const std::string &visitingFullIname, const DumpParameters &p, const SymbolGroupValueContext &ctx)

### `[virtual]` const AbstractSymbolGroupNode *ReferenceSymbolGroupNode::resolveReference() const

### `[virtual]` AbstractSymbolGroupNode *ReferenceSymbolGroupNode::resolveReference()